#define TK_API 257
#define TK_DEFENCODING 258
#define TK_PLUGIN 259
#define TK_DOCSTRING 260
#define TK_DOC 261
#define TK_EXPORTEDDOC 262
#define TK_MAKEFILE 263
#define TK_ACCESSCODE 264
#define TK_GETCODE 265
#define TK_SETCODE 266
#define TK_PREINITCODE 267
#define TK_INITCODE 268
#define TK_POSTINITCODE 269
#define TK_UNITCODE 270
#define TK_MODCODE 271
#define TK_TYPECODE 272
#define TK_PREPYCODE 273
#define TK_COPYING 274
#define TK_MAPPEDTYPE 275
#define TK_CODELINE 276
#define TK_IF 277
#define TK_END 278
#define TK_NAME 279
#define TK_PATHNAME 280
#define TK_STRING 281
#define TK_VIRTUALCATCHERCODE 282
#define TK_TRAVERSECODE 283
#define TK_CLEARCODE 284
#define TK_GETBUFFERCODE 285
#define TK_RELEASEBUFFERCODE 286
#define TK_READBUFFERCODE 287
#define TK_WRITEBUFFERCODE 288
#define TK_SEGCOUNTCODE 289
#define TK_CHARBUFFERCODE 290
#define TK_PICKLECODE 291
#define TK_METHODCODE 292
#define TK_FROMTYPE 293
#define TK_TOTYPE 294
#define TK_TOSUBCLASS 295
#define TK_INCLUDE 296
#define TK_OPTINCLUDE 297
#define TK_IMPORT 298
#define TK_EXPHEADERCODE 299
#define TK_MODHEADERCODE 300
#define TK_TYPEHEADERCODE 301
#define TK_MODULE 302
#define TK_CMODULE 303
#define TK_CONSMODULE 304
#define TK_COMPOMODULE 305
#define TK_CLASS 306
#define TK_STRUCT 307
#define TK_PUBLIC 308
#define TK_PROTECTED 309
#define TK_PRIVATE 310
#define TK_SIGNALS 311
#define TK_SIGNAL_METHOD 312
#define TK_SLOTS 313
#define TK_SLOT_METHOD 314
#define TK_BOOL 315
#define TK_SHORT 316
#define TK_INT 317
#define TK_LONG 318
#define TK_FLOAT 319
#define TK_DOUBLE 320
#define TK_CHAR 321
#define TK_WCHAR_T 322
#define TK_VOID 323
#define TK_PYOBJECT 324
#define TK_PYTUPLE 325
#define TK_PYLIST 326
#define TK_PYDICT 327
#define TK_PYCALLABLE 328
#define TK_PYSLICE 329
#define TK_PYTYPE 330
#define TK_VIRTUAL 331
#define TK_ENUM 332
#define TK_SIGNED 333
#define TK_UNSIGNED 334
#define TK_SCOPE 335
#define TK_LOGICAL_OR 336
#define TK_CONST 337
#define TK_STATIC 338
#define TK_SIPSIGNAL 339
#define TK_SIPSLOT 340
#define TK_SIPANYSLOT 341
#define TK_SIPRXCON 342
#define TK_SIPRXDIS 343
#define TK_SIPSLOTCON 344
#define TK_SIPSLOTDIS 345
#define TK_NUMBER 346
#define TK_REAL 347
#define TK_TYPEDEF 348
#define TK_NAMESPACE 349
#define TK_TIMELINE 350
#define TK_PLATFORMS 351
#define TK_FEATURE 352
#define TK_LICENSE 353
#define TK_TQCHAR 354
#define TK_TRUE 355
#define TK_FALSE 356
#define TK_NULL 357
#define TK_OPERATOR 358
#define TK_THROW 359
#define TK_TQOBJECT 360
#define TK_EXCEPTION 361
#define TK_RAISECODE 362
#define TK_EXPLICIT 363
#define TK_TEMPLATE 364
#define TK_ELLIPSIS 365
#define TK_DEFMETATYPE 366
#define TK_DEFSUPERTYPE 367
#ifdef YYSTYPE
#undef  YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
#endif
#ifndef YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
typedef union {
    char            qchar;
    char            *text;
    long            number;
    double          real;
    argDef          memArg;
    signatureDef    signature;
    signatureDef    *optsignature;
    throwArgs       *throwlist;
    codeBlock       *codeb;
    valueDef        value;
    valueDef        *valp;
    optFlags        optflags;
    optFlag         flag;
    scopedNameDef   *scpvalp;
    fcallDef        fcall;
    int             boolean;
    exceptionDef    exceptionbase;
    classDef        *klass;
} YYSTYPE;
#endif /* !YYSTYPE_IS_DECLARED */
extern YYSTYPE yylval;
